$(document).ready(function(){

	$.ajaxSetup({

	headers: {

        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')

    }});



    $('.btn-reporte').click(function(){

    	carga();

		$.ajax({

			url: 'subir-archivo',

			type: 'GET',

			dataType: 'html',

		}).done(function(e){

			$('#page-wrapper').html(e);

			subir();

		}).fail(function(e){
			if (e.status==419 || e.status==401) {window.location = 'http://www.itzitacuaro.edu.mx/control_poa/';}

        //console.log(e);

        $('.modal-title').text('Mensaje');

        $('.mnsjPrincipal').text('Ocurrió un error.');

        $('#msjModalPrincipal').modal('show');

       }).always(function(){

        	finaliza_carga();

    	});

	

	});



	



});



function carga(){ $('#loading').fadeIn( 400, "linear"); }

  function finaliza_carga(){ $('#loading').fadeOut( 10, "linear"); }